Skip to main content
POST
Add a Phone Number to the Opt-Out Suppression List (Alias for POST /opt-outs)

Authorizations

Client-ID
string
header
required

Your UgaText Client-ID (e.g. uga_...). Accepted header aliases: X-Client-ID, or combined in Authorization: Bearer : / X-API-Key: :.

Client-Secret
string
header
required

Your UgaText Client-Secret (e.g. sk_live_...). Accepted header alias: X-Client-Secret.

Body

application/json
phone
string
required

Phone number to add to the opt-out list (accepted aliases: "phoneNumber", "phone_number", "recipient").

Example:

"+256700000000"

phoneNumber
string

Alias for phone.

Example:

"+256700000000"

phone_number
string

Alias for phone.

Example:

"+256700000000"

notes
string

Optional note or reason for the opt-out (accepted alias: "reason").

Example:

"Customer requested opt-out"

reason
string

Alias for notes.

Example:

"Customer requested opt-out"

campaignId
string

Optional associated campaign ID (accepted alias: "campaign_id").

Example:

"cmp_1760425200000_a1b2c3"

campaignName
string

Optional associated campaign name (accepted alias: "campaign_name").

Example:

"October Promo"

sender_id
string

Optional Sender ID associated with the opt-out (accepted alias: "senderId").

Example:

"UGATEXT"

senderId
string

Alias for sender_id.

Example:

"UGATEXT"

Response

Phone number added to opt-out suppression list